package jp.co.dreamarts.hibiki.smartdb.sample.csv2excel;

import java.util.List;

import jp.co.dreamarts.hibiki.smartdb.api.BinderPropertiesDefnManager;
import jp.co.dreamarts.hibiki.smartdb.api.ButtonBar;
import jp.co.dreamarts.hibiki.smartdb.api.ButtonBar.InterfaceKey;
import jp.co.dreamarts.hibiki.smartdb.api.SmartdbAPI;
import jp.co.dreamarts.hibiki.smartdb.hookpoints.ActionButtonCustomExtensionPoints;

public class CSV2ExcelCustomActionButton extends ActionButtonCustomExtensionPoints{

    public CSV2ExcelCustomActionButton(SmartdbAPI api) {
        super(api);
    }

    @Override
    public void customizeButtonsForDocumentListAction(InterfaceKey key, long binderId, int viewId,
            List<Long> recordIds, ButtonBar buttonBar) {
        BinderPropertiesDefnManager bpdm = getAPI().getBinderPropertiesDefnManager();
        if (bpdm.getBinderPropertiesPatternNames(binderId).contains("Face")) {
            buttonBar.setCustomButtonFactoryEnable("jp.co.dreamarts.hibiki.smartdb.sample.csv2excel.CSV2ExcelButtonFactory", true);
        } else {
            buttonBar.setCustomButtonFactoryEnable("jp.co.dreamarts.hibiki.smartdb.sample.csv2excel.CSV2ExcelButtonFactory", false);
        }
    }

}
