/*global DA */
/**
 * アクション部品：jsボタン用のjavascriptファイル
 */
function customGetCategoryName() {
	var clientApi, doc;

	clientApi = DA.SmartDB.ClientAPI;
	doc = clientApi.getClientDocument();
	clientApi.callJava("jp.co.dreamarts.hibiki.smartdb.sample.ajaxapi.GetProduct", "getCategoryName", {
		binderKey : "product",
		categoryCode : doc.getText("categoryCode")
	}, function(response) {
		var value = response.getText();
		if (value) {
			doc.setText("categoryName", value);
		}
		else {
			alert("No category found");
		}
	}, function(errmsg) {
		alert(errmsg ? errmsg : "callJava Error, see log for details.");
	});
}

function customGetProduct() {
	var clientApi, doc, categoryCode, productCode;

	clientApi = DA.SmartDB.ClientAPI;
	doc = clientApi.getClientDocument();
	categoryCode = doc.getText("categoryCode");
	productCode = doc.getText("productCode");
	clientApi.callJava("jp.co.dreamarts.hibiki.smartdb.sample.ajaxapi.GetProduct", "getProduct", {
		binderKey : "product",
		categoryCode : categoryCode,
		productCode : productCode
	}, function(response) {
		var json = response.getJSON();
		if (json) {
			doc.setText("categoryName", json.categoryName);
			doc.setText("productName", json.productName);
		} else {
			alert("no product found: categoryCode=" + categoryCode + ", productCode=" + productCode);
		}
	}, function(errmsg) {
		alert(errmsg ? errmsg : "callJava Error, see log for details.");
	});
}
