package jp.co.dreamarts.hibiki.smartdb.sample.csv2excel;

import java.util.ArrayList;
import java.util.List;

import jp.co.dreamarts.hibiki.smartdb.api.csv.APICSVOutputButton;
import jp.co.dreamarts.hibiki.smartdb.api.csv.APICSVOutputButtonFactory;
import jp.co.dreamarts.hibiki.smartdb.api.csv.CSVButtonDisplayType;

/**
 * CSV出力のカスタムボタン実装のエクステンションポイントのサンプル
 * @author dreamarts
 *
 */
public class CSV2ExcelButtonFactory implements APICSVOutputButtonFactory {

    @Override
    public List<APICSVOutputButton> getCSVOutputButtonList(long binderId, String binderKey, int viewId) {
        List<APICSVOutputButton> list = new ArrayList<APICSVOutputButton>();
        APICSVOutputButton b = new CSV2ExcelButton("csv2excel", CSVButtonDisplayType.DIRECT);
        list.add(b);
        return list;
    }
}
